co.aikar.commands

## Class BukkitRootCommand

- java.lang.Object
- - org.bukkit.command.Command
  - - co.aikar.commands.BukkitRootCommand

All Implemented Interfaces:
  co.aikar.commands.RootCommand

    public class BukkitRootCommand
    extends org.bukkit.command.Command
    implements co.aikar.commands.RootCommand

### Field Summary

### Fields inherited from class org.bukkit.command.Command

`description, usageMessage`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addChild(co.aikar.commands.BaseCommand command)`
`boolean` `execute(org.bukkit.command.CommandSender sender, String commandLabel, String[] args)`
`List<co.aikar.commands.BaseCommand>` `getChildren()`
`String` `getCommandName()`
`co.aikar.commands.BaseCommand` `getDefCommand()`
`co.aikar.commands.CommandManager` `getManager()`
`com.google.common.collect.SetMultimap<String,co.aikar.commands.RegisteredCommand>` `getSubCommands()`
`List<String>` `tabComplete(org.bukkit.command.CommandSender sender, String alias, String[] args)`
`boolean` `testPermissionSilent(org.bukkit.command.CommandSender target)`

### Methods inherited from class org.bukkit.command.Command

`broadcastCommandMessage, broadcastCommandMessage, getAliases, getDescription, getLabel, getName, getPermission, getPermissionMessage, getUsage, isRegistered, register, setAliases, setDescription, setLabel, setName, setPermission, setPermissionMessage, setUsage, tabComplete, testPermission, toString, unregister`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface co.aikar.commands.RootCommand

`addChildShared, execute, getBaseCommand, getDefaultRegisteredCommand, getDescription, getTabCompletions, getTabCompletions, getTabCompletions, getUniquePermission, getUsage, hasAnyPermission`

### Method Detail

#### getCommandName

    public String getCommandName()

Specified by:
  `getCommandName` in interface `co.aikar.commands.RootCommand`

#### tabComplete

    public List<String> tabComplete(org.bukkit.command.CommandSender sender,
                                    String alias,
                                    String[] args)
                             throws IllegalArgumentException

Overrides:
  `tabComplete` in class `org.bukkit.command.Command`
Throws:
  `IllegalArgumentException`

#### execute

    public boolean execute(org.bukkit.command.CommandSender sender,
                           String commandLabel,
                           String[] args)

Specified by:
  `execute` in class `org.bukkit.command.Command`

#### testPermissionSilent

    public boolean testPermissionSilent(org.bukkit.command.CommandSender target)

Overrides:
  `testPermissionSilent` in class `org.bukkit.command.Command`

#### addChild

    public void addChild(co.aikar.commands.BaseCommand command)

Specified by:
  `addChild` in interface `co.aikar.commands.RootCommand`

#### getManager

    public co.aikar.commands.CommandManager getManager()

Specified by:
  `getManager` in interface `co.aikar.commands.RootCommand`

#### getSubCommands

    public com.google.common.collect.SetMultimap<String,co.aikar.commands.RegisteredCommand> getSubCommands()

Specified by:
  `getSubCommands` in interface `co.aikar.commands.RootCommand`

#### getChildren

    public List<co.aikar.commands.BaseCommand> getChildren()

Specified by:
  `getChildren` in interface `co.aikar.commands.RootCommand`

#### getDefCommand

    public co.aikar.commands.BaseCommand getDefCommand()

Specified by:
  `getDefCommand` in interface `co.aikar.commands.RootCommand`